ドキュメント本文へスキップ
API

スレッドのメモを並べ替える

すべてのメモを最初から最後まで。

POST/threads/{id}/notes/reorder

実際の呼び出しをワークスペースに対して実行します。

POST /threads/{id}/notes/reorder

すべてのメモを最初から最後まで。

例

threads:write が必要。ids はスレッドのメモをすべて一度ずつ、並べたい順に挙げる。ピン留めしたメモは引き続き先頭に来る。新しい順に並んだメモを返す。

curl
curl -X POST "$OE/threads/thr_7c1e4a90/notes/reorder" -H "$AUTH" -H "Content-Type: application/json" \  -d '{ "ids": ["b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d", "0f6e2a1b-9c8d-4e7f-a1b2-c3d4e5f6a7b8"] }'
レスポンス
{  "object": "list",  "data": [{      "object": "note",      "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",      "threadId": "thr_7c1e4a90",      "content": "Waiting on the signed contract before replying.",      "color": "yellow",      "pinned": true,      "order": 4,      "createdAt": "2026-09-30T09:12:44.000Z",      "updatedAt": "2026-09-30T09:12:44.000Z"    }]}

メモを抜かしたり、同じメモを二度挙げたり、別のスレッドのメモを挙げたりしたリストは ids に対する 422 invalid_parameter になり、何も動かない。

リファレンス